x86_32

Некоторые приложения существуют только для платформы x86, и отсутствуют в версии для x86_64. Например Skype.

Для работы таких приложений в 64-х битном окружении необходимо, чтобы в системе были установлены не только 64-х битные, но и 32-х битные версии некоторых библиотек.

В для этой цели используется инструмент «arepo», который автоматически создает репозиторий с пакетами, предназначенными для установки на x86_64, но содержащие i586 версии библиотек.

Мой arepo репозиторий собирается для бранчей 5.1 и p5, а также Сизифа:

rpm http://downloads.mithraen.ru/arepo/ i586 classic
rpm http://downloads.mithraen.ru/arepo/5.1      i586 classic
rpm http://downloads.mithraen.ru/arepo/p5       i586 classic

Если вы хотите видеть в этом репозитории пакет, который сейчас там отсутствует — напишите об этом мне, и вскоре вы его увидите :)

9 комментариев: x86_32

  1. Юрий Широков говорит:

    Добрый день!

    Есть ли надежда, что репозиторий снова будет доступен? Или можно его уже с чистой совестью выносить из /etc/apt/sources.list.d и начинать разбираться с arepo самостоятельно?

  2. Виталий Липатов говорит:

    Хорошо написано, но не понял, как скачать arepo.conf

  3. Андрей Ляховец говорит:

    На www.altlinux.org/Skype есть пример использования вашего репозитория, но ни у вас, ни на etersoft нет указанного там пакета i586-libXss.

    С другой стороны, похоже, этот пакет не нужен для skype (?)

    • mithraen говорит:

      Вы правы, этот пакет не нужен для Skype. По крайней мере у меня Skype работает без него.

    • mithraen говорит:

      Уточнение — пакет с таким именем не существует, потому и не нужен.

      Есть пакет libXScrnSaver, который предоставлляет библиотеку libXss. И вот он — нужен skype'у.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Оставьте эти два поля как есть:

Защищено Invisible Defender. Показывать 403 для 282 434 плохих парней.